<?php	session_start();		//初始化session变量
session_register("goodsid");	//定义session变量用于存储商品ID
session_register("goodsnum");	//定义session变量用于存储购买商品的数量

if($_SESSION["goodsid"]=="" && $_SESSION["goodsnum"]==""){		//判断session变量是否为空
    $_SESSION["goodsid"]=$_GET["id"]."@";						//如果session变量为空，则为其赋值为商品的ID，并以@分隔
	$_SESSION["goodsnum"]="1@";						//如果session变量为空，则为其赋值为1，并以@分隔
}else{			//如果session变量不为空
     $array=explode("@",$_SESSION["goodsid"]);		//则以@为分隔符，将session变量中的数据写入到数组中
	 if(in_array($_GET["id"],$array)){				//如果判读数组中是否存在指定的ID
	   echo "<script>alert('该商品已经被放入购物车！');history.back();</script>";
	   exit;
	 }
    //如果数组中不存在指定的ID，则说明该商品还没有放入购物车中
    $_SESSION["goodsid"].=$_GET["id"]."@";			//将该商品添加到购物车中
    $_SESSION["goodsnum"].="1@";					//更改商品数量
}
echo "<script>window.location.href='shopping_car.php';</script>";
?>